<?php
/*
+--------------------------------------------------------------------------
|   Alex Download Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Englische Sprachdatei
|
|	> Dieses Script ist KEINE Freeware. Bitte lesen Sie die Lizenz-
|	> bedingungen (read-me.html) fr weitere Informationen.
|	>-----------------------------------------------------------------
|	> This script is NOT freeware! Please read the Copyright Notice
|	> (read-me_eng.html) for further information. 
|
|	> $Id: english.php 6 2005-10-08 10:12:03Z alex $
|
+--------------------------------------------------------------------------
*/

$lang['doctype']                                            = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
$lang['charset']                                            = "iso-8859-1";
$lang['dir']                                                = "ltr";
$lang['lang']                                               = "en";
$lang['title_search']                                       = "Search";
$lang['title_remember']                                     = "Password lost";
$lang['title_comment']                                      = "Comments";
$lang['title_moderator']                                    = "Moderator Options";
$lang['title_memberlist']                                   = "Members";
$lang['title_memberdetails']                                = "Your Account";
$lang['title_addmember']                                    = "Start your free membership";
$lang['title_offline']                                      = "Offline";
$lang['title_comment']                                      = "Comments and Rating";
$lang['title_deadlink']                                     = "Report broken link";
$lang['title_index']                                        = "Downloads";
$lang['title_recommend']                                    = "Tell a friend";
$lang['title_stats2']                                       = "Statistics";
$lang['title_uploadfile']                                   = "File and Picture Upload";

$lang['header_welcome']                                     = "Welcome";
$lang['header_edit_profile']                                = "Profile";
$lang['header_log_out']                                     = "Log out";
$lang['header_log_in']                                      = "Log in";
$lang['header_register']                                    = "Register";
$lang['header_search']                                      = "Search";
$lang['header_memberlist']                                  = "Memberlist";
$lang['header_upload']                                      = "Upload";
$lang['header_stats']                                   	= "Statistics";

$lang['footer_quick_search']                                = "Quick-Search:";
$lang['footer_admin_center']                                = "AdminCenter";
$lang['footer_quick_jump'] 									= "Quick-Jump";
$lang['footer_downloads_mainpage'] 							= "Downloads Mainpage";
$lang['footer_please_choose'] 								= "Please choose";
$lang['footer_search'] 										= "Search";
$lang['footer_edit_profile'] 								= "Edit profile";

$lang['comment_comments_for_the_file']                      = "Comments and Rating for the file %s";
$lang['comment_comments']                                   = "Comments";
$lang['comment_button_alt_answer']                          = "Answer";
$lang['comment_link_write_answer']                          = "Write Comment";
$lang['comment_author']                                     = "Author";
$lang['comment_message']                                    = "Message";
$lang['comment_write_your_comment_here']                    = "Write your comment here";
$lang['comment_username']                                   = "Username:";
$lang['comment_topic']                                      = "Topic:";
$lang['comment_posticons']                                  = "Posticons";
$lang['comment_your_message']                               = "Your Message:";
$lang['comment_bold']                                       = "BOLD";
$lang['comment_italic']                                     = "italic";
$lang['comment_underline']                                  = "underline";
$lang['comment_url']                                        = "link";
$lang['comment_email']                                      = "email";
$lang['comment_code']                                       = "Code";
$lang['comment_quote']                                      = "Quoted";
$lang['comment_center']                                     = "center";
$lang['comment_line']                                       = "Line";
$lang['comment_click_smilies']                              = "Click-Smilies";
$lang['comment_check_message_length']                       = "&raquo; Check message length";
$lang['comment_add_comment_btn']                            = "Add Comment";
$lang['comment_reset_btn']                                  = "Reset";
$lang['comment_not_allowed_to_post_comment']                = "You are not allowed to write comments. Please get in contact with the Administrator!";
$lang['comment_log_out']                                    = "log out";
$lang['comment_total_votes_on_rating']                      = "Total votes: %s";
$lang['comment_current_rating']                             = "Current Rating: %s";
$lang['comment_mirror_added_at']                            = "(added date %s)";
$lang['comment_alternative_download']                       = "Mirror Files";
$lang['comment_rating']                                     = "Rating";
$lang['comment_only_rate_once_for_a_file']                  = "Please vote only once for a file";
$lang['comment_rate_with_your_real_opinion']                = "Do not use the best or worst strictly";
$lang['comment_excelent_file']                              = "Excelent File";
$lang['comment_really_bad']                                 = "Absolutely poor";
$lang['comment_click_to_enlarge']                           = "Click here to resize";
$lang['comment_edited_from_at']                             = "This comment was edited at the %s (by  %s)";
$lang['comment_pagecount']                                  = "Page (%s) %s | %s Comments total";
$lang['comment_link_will_be_checked_soon']                  = "File will be checked soon";

$lang['comment_js_too_long']                                = "Your message is too long. Please reduce your message to $config[max_comment_length] chars. Currently it has a lenght of:";
$lang['comment_js_maximum']                                 = "The maximum length is $config[max_comment_length] chars.";
$lang['comment_js_long1']                                   = "Your message has a lenght of";
$lang['comment_js_long2']                                   = "chars";
$lang['comment_js1']                                        = "Enter the text you want to format:";
$lang['comment_js2']                                        = "Enter the text to be displayed for the link (optional)";
$lang['comment_js3']                                        = "Enter the full URL for the link";
$lang['comment_js4']                                        = "Enter the email address for the link";

$lang['comment_loop_no_comment_available']                  = "No comment available. Write the first comment now.";
$lang['comment_loop_registered_since']                      = "Join date:";
$lang['comment_loop_location']                              = "Location:";
$lang['comment_loop_gender']                                = "Gender:";
$lang['comment_loop_postings']                              = "Postings:";

$lang['deadlink_report_missing_link']                       = "Report a broken link";
$lang['deadlink_error_details']                             = "Error details";
$lang['deadlink_thank_you']                                 = "Thank you very much, that you will take time to report a broken link of the file %s. Click on \"Report broken link\" and we will receive an Email about this. You can choose the Error-Message you got when you tried to download the file.";
$lang['deadlink_error_message']                             = "Error-Message:";
$lang['deadlink_please_choose_error_message']               = "Please choose the error message";
$lang['deadlink_comment']                                   = "Comment:";
$lang['deadlink_btn_report_missing_link']                   = "Report broken link";

$lang['formmailer_topic']                                   = "Topic";
$lang['formmailer_message']                                 = "Your Message";
$lang['formmailer_receipient_will_see_your_mail']           = "Please note, the receipient will see your Email-Adress.";
$lang['formmailer_send_email_btn']                          = "Send Email";
$lang['formmailer_reset_btn']                               = "Reset";
$lang['formmailer_mail_successfully_send']                  = "Your Email was successfully send to %s";
$lang['formmailer_not_allowed']                             = "Error! You have not the rights to use this, please register.";
$lang['formmailer_write_email_to']                          = "Write Email to %s";

$lang['index_author_of_file']                               = "Author: %s %s %s dtd. %s";
$lang['index_total_downloads']                              = "Total Hits: <b>%s</b>";
$lang['index_rate_on_total_votes']                          = "Rating: <b>%s</b> at <b>%s</b> Votes";
$lang['index_currently_no_rating']                          = "Not rated yet";
$lang['index_total_file_size']                              = "Size %s; Needed time to download %s %s";
$lang['index_min_by_isdn']                                  = "Min with ISDN";
$lang['index_sek_by_isdn']                                  = "Sec. with ISDN";
$lang['index_rate_file']                                    = "Rate file";
$lang['index_comment']                                      = "Comments";
$lang['index_mail_a_friend']                                = "Tell a friend";
$lang['index_options']                                      = "Options";
$lang['index_mirror_links']                                 = "Mirror-Links";
$lang['index_description']                                  = "Description";
$lang['index_date']                                         = "Date";
$lang['index_hits']                                         = "Hits";
$lang['index_rating']                                       = "Rating";
$lang['index_filesize']                                     = "Filesize";
$lang['index_number_of_files']                              = "Number of files:";
$lang['index_total_size_of_files']                          = "Size of all files:";
$lang['index_number_of_categories']                         = "Number of categories:";
$lang['index_last_file']                                    = "Last file:";
$lang['index_number_of_users']                              = "Number of registered Users:";
$lang['index_new_comments']                                 = "New Comments";
$lang['index_file']                                         = "File:";
$lang['index_statistics']                                   = "Statistics";
$lang['index_new_files']                                    = "New Files";
$lang['index_all_new_files']                                = "All new files";
$lang['index_votes']                                        = "Votes";
$lang['index_top3_downloads']                               = "Downloads %s";
$lang['index_report_deadlink']                              = "Report broken link";
$lang['index_registered_members_only']                      = "* registered Members only!";
$lang['index_link_will_be_checked_soon']                    = "File will be checked soon";
$lang['index_popular_files']                                = "Popular Files";
$lang['index_comment_from']                                 = "from %s";
$lang['index_best_file_overall']                            = "Popular File:";
$lang['index_last_member']                                  = "Newest Member: %s";
$lang['index_sorting']                                      = "Sorted by:";
$lang['index_sort_now']                                     = "Show Files";
$lang['index_sort_by_title']                                = "Title";
$lang['index_sort_by_date']                                 = "Date";
$lang['index_sort_by_hits']                                 = "Hits";
$lang['index_sort_by_votes']                                = "Votes";
$lang['index_sort_ascending']                               = "ascending";
$lang['index_sort_descending']                              = "descending";
$lang['index_sort_order']                                   = "Sort order";

$lang['login_login']                                        = "Log in";
$lang['login_login2']                                       = "Log in";
$lang['login_use_your_username_password']                   = "Log in with the username and passwort you have choosen during the registration process. If you are not registered, please click <a href=\"%s\">here</a> to register.";
$lang['login_username']                                     = "Username:";
$lang['login_password']                                     = "Password:";
$lang['login_click_here_to_remember']                       = "<a href=\"%s\">Forgotten your password? Click here.</a>";
$lang['login_login_btn']                                    = "Log in";
$lang['login_reset_btn']                                    = "Reset";

$lang['memberdetails_profile_changed']                      = "Profile changed";
$lang['memberdetails_email_changed']                        = "Email-Settings changed";
$lang['memberdetails_avatar_changed']                       = "Avatar changed";

$lang['memberlist_memberlist_overview']                     = "Member List";
$lang['memberlist_username']                                = "Username";
$lang['memberlist_rank']                                    = "Rank";
$lang['memberlist_member_since']                            = "Registered since";
$lang['memberlist_locked']                                  = "locked";

$lang['memberlist_profile_profile_from']                    = "View Profile: %s";
$lang['memberlist_profile_registered_since']                = "Join Date:";
$lang['memberlist_profile_messenger']                       = "Messenger";
$lang['memberlist_profile_icq']                             = "ICQ-Number";
$lang['memberlist_profile_aim']                             = "AIM Screenname";
$lang['memberlist_profile_yim']                             = "YIM Screenname";
$lang['memberlist_profile_email_homepage']                  = "Email / Homepage";
$lang['memberlist_profile_email']                           = "Email";
$lang['memberlist_profile_homepage']                        = "Homepage";
$lang['memberlist_profile_personally_information']          = "Additional Information";
$lang['memberlist_profile_gender']                          = "Gender";
$lang['memberlist_profile_location']                        = "Location";
$lang['memberlist_profile_interests']                       = "Interests";
$lang['memberlist_profile_na']                              = "n. a.";
$lang['memberlist_profile_male']                            = "male";
$lang['memberlist_profile_female']                          = "female";

$lang['moderator_button_alt_answer']                        = "Answer";
$lang['moderator_link_write_answer']                        = "Write Comment";
$lang['moderator_author']                                   = "Author";
$lang['moderator_message']                                  = "Message";
$lang['moderator_edit_comment_here']                        = "Edit this comment here";
$lang['moderator_username']                                 = "Username:";
$lang['moderator_topic']                                    = "Topic:";
$lang['moderator_posticons']                                = "Posticons";
$lang['moderator_edit_message']                             = "Edit Message:";
$lang['moderator_bold']                                     = "BOLD";
$lang['moderator_italic']                                   = "italic";
$lang['moderator_underline']                                = "underline";
$lang['moderator_url']                                      = "link";
$lang['moderator_email']                                    = "email";
$lang['moderator_code']                                     = "Code";
$lang['moderator_quote']                                    = "Quoted";
$lang['moderator_center']                                   = "center";
$lang['moderator_line']                                     = "Line";
$lang['moderator_click_smilies']                            = "Click-Smilies";
$lang['moderator_edit_comment_btn']                         = "Edit Comment";
$lang['moderator_reset_btn']                                = "Reset";
$lang['moderator_log_out']                                  = "log out";
$lang['moderator_registered_since']                         = "Join date:";
$lang['moderator_location']                                 = "Location:";
$lang['moderator_gender']                                   = "Gender:";
$lang['moderator_postings']                                 = "Postings:";
$lang['moderator_delete_comment']                           = "Delete this comment";
$lang['moderator_confirm_this_to_delete_comment']           = "If you want to delete this comment, please confirm this checkbox";
$lang['moderator_edit_options']                             = "Options";
$lang['moderator_add_edited by']                            = "Add \"edited by / date \" notice";

$lang['profile_profile_option']                             = "Profile-Options";
$lang['profile_general_option']                             = "General Options";
$lang['profile_email_option']                               = "Email-Options";
$lang['profile_password_option']                            = "Password Options";
$lang['profile_avatar_option']                              = "Avatars";
$lang['profile_profile_general_option']                     = "Profile - General Options";
$lang['profile_homepage']                                   = "Homepage";
$lang['profile_enter_url_to_your_homepage']                 = "If you would like to let other visitors to this site know the URL of your own web site, enter it here";
$lang['profile_messenger_settings']                         = "Instant Messaging";
$lang['profile_personally_messenger_data']                  = "You may enter your registered identity for the instant messaging networks if you would like other visitors to be able to contact you using that medium.";
$lang['profile_yahoo']                                      = "Yahoo - Messenger";
$lang['profile_icq']                                        = "ICQ - Number";
$lang['profile_aim']                                        = "AIM Screen Name";
$lang['profile_location']                                   = "Location";
$lang['profile_gender']                                     = "Gender";
$lang['profile_na']                                         = "n/a";
$lang['profile_male']                                       = "male";
$lang['profile_female']                                     = "female";
$lang['profile_interests']                                  = "Interests";
$lang['profile_give_details_to_your_interests']             = "Your hobbies etc. (max. 250 chars)";
$lang['profile_save_changes']                               = "Save changes";
$lang['profile_reset']                                      = "Reset";
$lang['profile_avatar_profile_avatar']                      = "Profile - Avatars";
$lang['profile_avatar_current_avatar']                      = "Current Avatar";
$lang['profile_avatar_avatars_are_small_grafics']           = "<p>Avatars are small graphics that are displayed under your username whenever you post.</p><p>This is your current Avatar</p>";
$lang['profile_avatar_available_avatars']                   = "Following Avatars are available";
$lang['profile_email_email_options']                        = "Profile - Email Options";
$lang['profile_email_email']                                = "Email - Address";
$lang['profile_email_enter_your_email_adress']              = "Please enter your Email Address. This field can be deactivated by the Administrator. If you have changed your Email Address, please get in contact with the Administrator";
$lang['profile_email_email_settings']                       = "Email-options";
$lang['profile_email_if_activated_other_can_write_emails']  = "If this option is activated other members can send you Emails by using our formmailer. Your Email Adress will be shown readable within your profile.";
$lang['profile_email_yes_other_member_can write_mails']     = "Yes, allow other members to write Emails";
$lang['profile_password_password_option']                   = "Profile - Password Options";
$lang['profile_password_change_password']                   = "Change Password";
$lang['profile_password_change_your_current_password_here'] = "Here you can change your current password. You have to give your new password twice. Please use this function only when you will change your password.";
$lang['profile_password_new_password']                      = "New Password";
$lang['profile_password_confirm_password']                  = "Confirm new Password";

$lang['recommend_your_name']                                = "Your Name";
$lang['recommend_your_mail']                                = "Your Email";
$lang['recommend_friends_name']                             = "Your friends name";
$lang['recommend_friends_email']                            = "Your friends Email";
$lang['recommend_comment']                                  = "Add an additional comment";
$lang['recommend_send_btn']                                 = "Send Email";
$lang['recommend_reset_btn']                                = "Reset";
$lang['recommend_sender']                                   = "Sender";
$lang['recommend_recipient']                                = "Receipient";

$lang['redirect_yes_i_have_read_licence']                   = "Yes, I accept the licence";
$lang['redirect_btn_download']                              = "procceed to Download";

$lang['register_register']                                  = "Register";
$lang['register_please_read_terms_to_submit']               = "Please read/accept terms to submit form";
$lang['register_rules']                                     = "Rules";
$lang['register_to_register_you_have_to_accept_rules']      = "If you want to register for this site, you have to accept the following rules:";
$lang['register_yes_i_accept_the_rules']                    = "I have read, and agree to abide by the Site rules.";
$lang['register_register_btn']                              = "Register";
$lang['register_text']                                      = "Of course the registration is noncommital and for free\n\nPlease pay attention to following: The contents of the comments had to lead back to their authors and can't be transfered to the offerer of the NewsEngine.\n\nIf you complete the registration you agree that you don't abuse the comment-function for obscenities, vulgar words, insults, propaganda, (extreme) politic views or (verbal) violations against the law.\n\nFurthermore moderators and administrators of the NewsEngine are allowed to change or delete posts and/or accounts because of violations against the law without any rationale.\n\nHave fun by using %s";

$lang['register_end_register']                                              = "Register";
$lang['register_end_if_you_want_to_write_comments_you_have_to_register']    = "If you want to post comments and if you want to use the full functionality of our site your have to start a free membership<br />Please insert your Username, Password and Email-Address in the required fields below.";
$lang['register_end_username']                                              = "Username:";
$lang['register_end_enter_password_for_your_account']                       = "Please enter a password for your account.";
$lang['register_end_password']                                              = "Password:";
$lang['register_end_confirm_password']                                      = "Confirm Password:";
$lang['register_end_email']                                                 = "Email Address";
$lang['register_end_please_enter_valid_email']                              = "Please enter a valid email address for yourself";
$lang['register_end_confirm_email']                                         = "Confirm Email Address:";
$lang['register_end_end_btn']                                               = "Complete Registration";
$lang['register_end_reset_btn']                                             = "Reset";

$lang['remember_password_lost']             = "Lost Password";
$lang['remember_call_for_new_password']     = "Request new Password";
$lang['remember_function_description']      = "If you have forgotten your password, you can request reset your password. Please enter the registered username. We will sent a password to your registered email address.";
$lang['remember_username']                  = "Username:";
$lang['remember_password_btn']              = "Recover Password";
$lang['remember_reset_btn']                 = "Reset";

$lang['search_search']                      = "Search";
$lang['search_searchphrase']                = "Search Key Word";
$lang['search_define_a_searchphrase']       = "Define the key word you want to search for";
$lang['search_contains_all_words']          = "Must contain all words";
$lang['search_contains_one_word']           = "Must contain only one word";
$lang['search_search_option']               = "Search Options";
$lang['search_search_in_headline']          = "Search headlines only";
$lang['search_search_in_entry']             = "Search posts only";
$lang['search_search_in_headline_entry']    = "Search headlines and posts";
$lang['search_number_result']               = "Number of results";
$lang['search_10_results']                  = "10 Results";
$lang['search_20_results']                  = "20 Results";
$lang['search_no_limitation']               = "No limitation";
$lang['search_sorting_results']             = "Sort results by";
$lang['search_date_ascending']              = "Date ascending";
$lang['search_date_descending']             = "Date descending";
$lang['search_name_ascending']              = "Name ascending";
$lang['search_name_descending']             = "Name descending";
$lang['search_search_btn']                  = "Search Now";
$lang['search_reset_btn']                   = "Reset";

$lang['search_result_search_result']        = "Search Results";
$lang['search_result_comments']             = "%s Comments";
$lang['search_result_comments_not_allowed'] = "No comments allowed";
$lang['search_result_category']             = "Category: %s";
$lang['search_result_rating_on_points']     = "Rating %s at %s Votes - %s Hits | Comments %s";
$lang['search_result_no_rating_on_points']  = "Not rated yet - %s Hits | Comments %s";

$lang['uploadfile_register_new_file'] 		= "Suggest a new File";
$lang['uploadfile_authors_detail'] 			= "Details to the Author<br /><span style=\"font-size:10px; font-weight:100\">Please insert information about the author of the file</span>";
$lang['uploadfile_authors_name'] 			= "<b>Name of the File-Author:</b>";
$lang['uploadfile_email'] 					= "<b>Email:</b><br />e. g. Support-Address or Authors Email";
$lang['uploadfile_homepage'] 				= "<b>Homepage:</b><br />Homepage of the file or the Authors Homepage (start with http://)";
$lang['uploadfile_details_to_your_file'] 	= "Details to your File<br /><span style=\"font-size:10px; font-weight:100\">At the following you can give details to your file. Please choose the category which fits to your file, otherwise users can not find your file. Within the description, HTML-Tags are not allowed.</span>";
$lang['uploadfile_name_of_your_file'] 		= "<b>Name of the File:</b>";
$lang['uploadfile_category'] 				= "<b>Categorie:</b>";
$lang['uploadfile_description'] 			= "<b>Description:</b>";
$lang['uploadfile_small'] 					= "small";
$lang['uploadfile_middle'] 					= "medium";
$lang['uploadfile_big'] 					= "big";
$lang['uploadfile_bigger'] 					= "very-big";
$lang['uploadfile_file_and_previewimage'] 	= "File and Thumbnail<br /><span style=\"font-size:10px; font-weight:100\">At the following you can upload a file with a max size of %s MB to our server or you can send a link to an external file. Additionally you can upload a picture (e. g. Screenshot) to our server. </span>";
$lang['uploadfile_file'] 					= "<b>File:</b>";
$lang['uploadfile_file_upload'] 			= "File Upload";
$lang['uploadfile_max_filesize'] 			= "Max filesize %s MB. The filesize will be calculated during the upload process";
$lang['uploadfile_choose_file'] 			= "Choose File";
$lang['uploadfile_alternative'] 			= "Alternative:";
$lang['uploadfile_link_file'] 				= "Link a File";
$lang['uploadfile_please_note_to_use_compl_url'] = "Please be sure that you give the complete url to the file (incl. http://) and the file size in bytes.";
$lang['uploadfile_link'] 					= "Link:";
$lang['uploadfile_file_size'] 				= "File-Size:";
$lang['uploadfile_bytes'] 					= "Bytes";
$lang['uploadfile_previewimage'] 			= "<b>Image:</b><br />We will only accept the extensions jpg, jpeg, gif and png";
$lang['uploadfile_choose_image'] 			= "Choose Imagefile";
$lang['uploadfile_btn_register_file']		= "Suggest this File";
$lang['uploadfile_btn_reset']				= "Reset";
$lang['uploadfile_choose_file_or_link'] 	= "Choose a file from your harddisk or enter a url to a file on any other server";
$lang['uploadfile_not_possible_link_file'] 	= "It is not possible to enter both, file and url. Please delete one entry";
$lang['uploadfile_js1']                     = "Enter the text you want to format:";
$lang['uploadfile_js2']                     = "Enter the text to be displayed for the link (optional)";
$lang['uploadfile_js3']                     = "Enter the full URL for the link";
$lang['uploadfile_js4']                     = "Enter the email address for the link";
$lang['uploads_size']                       = "File to big. Max Filesize";
$lang['uploads_extens']                     = "Invalid File extension, Upload not possible";
$lang['uploads_stillexist']                 = "Filename already exist, Upload not possible!";
$lang['uploads_copy']                       = "File upload not possible - Please check all fields.";


$lang['action_ride']                        = "Click here if your browser does not automatically redirect you!";

$lang['title_engine']                       = "Downloads";
$lang['php_guest']                          = "Guest";
$lang['php_page']                           = "Page";
$lang['php_sendmail']                       = "Write Email to";
$lang['php_goto_hp']                        = "Homepage from";
$lang['php_aim']                            = "AIM Address of";
$lang['php_icq']                            = "Add to your contactlist";
$lang['php_yim']                            = "Yahoo Messenger adress of";
$lang['php_profile_of']                     = "View %s's Profile";
$lang['php_comments']                       = "Comments";
$lang['php_fu_edit_mod']                    = "Edit comment";
$lang['php_fu_del_mod']                     = "Delete comment";
$lang['php_yes']                            = "yes";
$lang['php_no']                             = "no";
$lang['php_write_email_to']                 = "Write email to %s";
$lang['php_mo']                             = "Mon";
$lang['php_tu']                             = "Tue";
$lang['php_we']                             = "Wed";
$lang['php_th']                             = "Thu";
$lang['php_fr']                             = "Fr";
$lang['php_sa']                             = "Sat";
$lang['php_su']                             = "Sun";
$lang['php_fu_day_0']                       = "Sunday";
$lang['php_fu_day_1']                       = "Monday";
$lang['php_fu_day_2']                       = "Tuesday";
$lang['php_fu_day_3']                       = "Wednesday";
$lang['php_fu_day_4']                       = "Thursday";
$lang['php_fu_day_5']                       = "Friday";
$lang['php_fu_day_6']                       = "Saturday";
$lang['php_fu_month_1']                     = "January";
$lang['php_fu_month_2']                     = "February";
$lang['php_fu_month_3']                     = "March";
$lang['php_fu_month_4']                     = "April";
$lang['php_fu_month_5']                     = "May";
$lang['php_fu_month_6']                     = "June";
$lang['php_fu_month_7']                     = "July";
$lang['php_fu_month_8']                     = "August";
$lang['php_fu_month_9']                     = "September";
$lang['php_fu_month_10']                    = "October";
$lang['php_fu_month_11']                    = "November";
$lang['php_fu_month_12']                    = "December";
$lang['php_bbcode_1']                       = "Insert a text";
$lang['php_bbcode_2']                       = "Insert a text";
$lang['php_bbcode_3']                       = "Insert a linkname (optional)";
$lang['php_bbcode_4']                       = "Insert the full hyperlink address";
$lang['php_bbcode_5']                       = "Insert an email-address";
$lang['php_mailer_lang']                    = "en";
$lang['php_mailer_error']                   = "Mailerror: ";
$lang['php_overall_home']                   = "Home";
$lang['php_bb_code_add_on']                 = "_us"; // German = "", English = "_us"

$lang['misc_1']                             = "You are already logged in";
$lang['misc_2']                             = "Access to this page has been denied for one of the following reasons:<br><ol><li>You are not logged in. Some pages are restricted to users only.</li><li>You are trying to access a page restricted to certain user groups. You do not have permission to enter this page.</li><li>Your account is closed or not activated. Please contact the Administrator in this case.</li></ol>";
$lang['misc_3']                             = "You have entered the wrong password or username.";
$lang['misc_4']                             = "You were successfully logged out. Redirecting...";
$lang['misc_5']                             = "Error! Access denied.";
$lang['misc_top_lists'] 					= "Top-Files Total";
$lang['misc_top10_rating_headline'] 		= "Top 10 Files by Rating";
$lang['misc_top10_rating_rate'] 			= "Rating: %s";
$lang['misc_top10_rating_votes'] 			= "Votes: %s";
$lang['misc_top10_voting_headline'] 		= "Top 10 Files by Votes";
$lang['misc_top10_voting_rate'] 			= "Rating: %s";
$lang['misc_top10_voting_votes'] 			= "Votes: %s";
$lang['misc_top_rating_headline'] 			= "Downloads with a min. %s of all Files";
$lang['misc_top_category'] 					= "Category: <a href=\"%s\">%s</a>";
$lang['misc_top_hits'] 						= "Hits: %s (%s)";
$lang['misc_top_total_downloads_to_total_files'] = "Total Downloads: <b>%s</b> (= 100 Procent); Files in database totally: <b>%s</b> ";
$lang['misc_more_stats'] 					= "More Statistics:";
$lang['misc_top_downloads_total'] 			= "Top Downloads Total";
$lang['misc_top_downloads_by_rating'] 		= "Top Downloads by Rating";
$lang['misc_top_downloads_by_votes'] 		= "Top Downloads by Votes";
$lang['misc_new_files'] 					= "%s newest Files";
$lang['misc_new_files_since_your_last_visit'] = "New files since your last visit";
$lang['misc_stats'] 						= "Statistics";
$lang['misc_files_since_last_visit']		= "New files since your last visit";
$lang['misc_new_file_since'] 				= "New files since %s";
$lang['misc_new_file_hits'] 				= "Hits: %s";
$lang['misc_upload_dtd'] 					= "Upload dtd. %s";
$lang['misc_last_files'] 					= "%s last Files";
$lang['misc_no_files_since_last_vist'] 		= "No new Files since your last visit";

$lang['rec_error1'] 						= "Please choose a NickName";
$lang['rec_error2'] 						= "Please insert your Email	adress";
$lang['rec_error3'] 						= "Please insert a valid Email adress";
$lang['rec_error4'] 						= "Please insert the Name of your friend";
$lang['rec_error5'] 						= "Please insert a valid Email adress of you friend";
$lang['rec_error6'] 						= "Please insert the Email adress of your friend";
$lang['rec_error7'] 						= "Mail was successfully sent.<br>Thank you.";
$lang['rec_error7b'] 						= "Mail was successfully sent.<br>Thank you.<br>Click ";
$lang['rec_error7c'] 						= "here";
$lang['rec_error7d'] 						= "to go back to the file";
$lang['rec_error8'] 						= "Your Rating is saved";
$lang['rec_error9'] 						= "Your Comment is saved.<br>After checking	we will	publish";
$lang['rec_error10'] 						= "Thank you for your comment";
$lang['rec_error11'] 						= "Please insert a	message	to post	a comment";
$lang['rec_error12'] 						= "You are	still logged in";
$lang['rec_error13'] 						= "Please fill all	fields";
$lang['rec_error14'] 						= "Wrong Password !";
$lang['rec_error15'] 						= "You can	not use	two Accounts";
$lang['rec_error16'] 						= "Please fill all	fields";
$lang['rec_error17'] 						= "You specified two different Passwords";
$lang['rec_error18'] 						= "The maximum length of the password is 15 characters";
$lang['rec_error19'] 						= "Your NickName is longer	then 15	characters";
$lang['rec_error20'] 						= "The NickName is	already	in use.	Please choose an different NickName.";
$lang['rec_error21'] 						= "Please register	to see all details of a	member";
$lang['rec_error22'] 						= "An error has occurred. Please try again";
$lang['rec_error23'] 						= "Username not known, please go back and try again";
$lang['rec_error24'] 						= "To get a new password, you will	receive	an Email which you have	to confirm.";
$lang['rec_error25'] 						= "Your Password is changed. The new data will be sent to you by mail. After that you can change your password in the profile.<br>Click on	the following link to go to your profile";
$lang['rec_error25b'] 						=	"go to Profile";
$lang['rec_error26'] 						= "An Error has occurred. The attempt to post a file has failed.<br>Please	redo all steps in order	to keep	a correct file upload";
$lang['rec_error27'] 						= "Please click on	the following link to go back and fill all fields!";
$lang['rec_error28'] 						= "The uploaded File is not valid";
$lang['rec_error29'] 						= "The file is to big; maximum file size";
$lang['rec_error30'] 						= "Upload successfull. File name was not changed!";
$lang['rec_error31'] 						= "Upload successfull, Path";
$lang['rec_error31b'] 						=	"go to Step 2";
$lang['rec_error32'] 						= "Upload successfull, Path";
$lang['rec_error32b'] 						=	"go to Step 3";
$lang['rec_error33'] 						= "Not possible to	copy the file (The file	could be too big or already existing";
$lang['rec_error34'] 						= "This filename already exists, attempt to copy has failed!";
$lang['rec_error35'] 						= "Upload successful. A note will be sent to the Admin who	will publish your file after checking";
$lang['rec_error35b'] 						=	"Upload	successfull. File published immediately";
$lang['rec_error36'] 						= "Comment	successfully changed";
$lang['rec_error37'] 						= "Comment	successfully deleted";
$lang['rec_error38'] 						= "Please register	to see all details of a	member";
$lang['rec_error39'] 						= "Define a search	item (min. 4 chars). Please try	again.";
$lang['rec_error40'] 						= "Sorry -	no matches. Please try some different terms.";
$lang['rec_error41'] 						= "You have already voted.";
$lang['rec_error42'] 						= "Please insert the file size";
$lang['rec_error50'] 						= "The activation code was	sent to	your Email address. Please confirm your	registration to	activate your account.";
$lang['rec_error51'] 						= "The email addresses are	not identical, please try again";
$lang['rec_error52'] 						= "Activation-code	and/or user unknown!";
$lang['rec_error53']                        = "Thank you for your indication.<br>The link will be checked by the Administrator";
$lang['rec_error54']                        = "Error, it is not allowed to download the file from this URL";
$lang['rec_error55'] 						= "Error, File is not available.";
$lang['rec_error56']                        = "Error, please insert a subject and message to send an email.";

// Email
$lang['mail_comment_betreff']               = "New comment";
$lang['mail_register_betreff']              = "Registration at %s";
$lang['rem_newpw_betreff']                  = "Password Recovery at %s";
$lang['rem_pw_betreff']                     = "Password Recovery at %s";
$lang['rec_file_betreff']                   = "News-Recommendation";
$lang['mail_deadlink_betreff'] 				= "Broken Link at $config[scriptname]";
$lang['mail_file_betreff'] 					= "New File suggestion";
$lang['mail_footer']                        = "\n\n----------------------------------------------------------------\nAutomatic generated and sended by %s.";

$lang['mail_comment_inhalt']                = "Hello Admin,\n\n%s has written a new comment to the file no. %s.";
$lang['mail_register_inhalt']               = "Hello %s,\n\nThank you for your registration at %s.\n\nIf you want to activate your account, please use the following link:\n%s\n\nAOL User may please follow this\n<a href=\"%s\">Link</a>";
$lang['rem_newpw_inhalt']                   = "Hello %s,\n\nYour new password is %s\n\nYou can change your password at anytime in your Profile.";
$lang['rem_pw_inhalt']                      = "Hello %s,\n\nIf you have forgotten your password there is only one way to create a new password to become a new one. You can change this afterwards in your Profile.\nClick the following link to receive a new password:\n%s";
$lang['rec_file_inhalt']                    = "Hello %s,\n\n%s recommend the download %s at the page %s.\n\n%s's comment:\n%s";
$lang['mail_deadlink_inhalt'] 				= "Hello Admin,\n\nBroken Link at File ID %s (%s), in Category ID %s\n\nReported Error-Code: %s\n\nMessage:\n%s";
$lang['mail_file_inhalt'] 					= "Hello Admin,\n\n%s, has uploaded a new file. Browse to the AdminCenter and check this file that other users can see and download this file.\nTitle: %s (ID: %s)";
?>